const urlParams = new URLSearchParams(window.location.search);
const seller = urlParams.get('seller');
// Call the dataTables jQuery plugin
var dataInArray = null;

$(document).ready(function () {



});

function scheduleOrder() {
    let btnAction = $('#btnImportReport');
    btnAction.addClass('disabled').find('i').show().addClass('fa-spin');
    let form = $('#formScheduleOrder');

    let formData = new FormData(form[0]);
    let message = $('#responseText');

    console.log(form[0]);
    $.ajax({
        url: 'Controllers/RequestScheduleOrder.php',
        method: 'POST',
        dataType: "json",
        data: formData,
        contentType: false,
        processData: false,
        // cache:false,
        // enctype: 'multipart/form-data',
        success: function (data) {
            console.log(data.code);
            if(data.code === '200'){
                message.html('El código de seguimiento es ' + data.data.tracking);
            }else{
                message.html(data.data);
            }
            
            // $('#customModal').modal();
            return false;

        },
        error: function (jqXHR, textStatus, errorThrown) {
            // showAlert("Ha ocurrido un error, vuelva a intentarlo", "error");
            console.log(textStatus, errorThrown);
            $('#m-text-message').text('Ha ocurrido un error, intentar de nuevo.');
            // // $('#customModal').modal();
            btnAction.removeClass('disabled').find('i').hide().removeClass('fa-spin');

            return false;
        }
    });

}

function updateProductsOfMWS() {
    let btnAction = $('#btnUpdateProducts');
    btnAction.addClass('disabled').find('i').show().addClass('fa-spin');

    $.ajax({
        url: '../src/Controllers/DownloadInventoryReport.php?seller=' + seller,
        method: 'POST',
        dataType: "json",
        data: [],
        contentType: false,
        processData: false,
        // cache:false,
        // enctype: 'multipart/form-data',
        success: function (data) {
            console.log(data);
            if(data.state == 1){
                let dataSet = data.content.unregisteredProducts;
                console.log(dataSet);
                $('#tbUnregisteredProducts').DataTable( {
                    data: dataSet,

                    // columns: [
                    //     { title: "Name" },
                    //     { title: "Position" },
                    //     { title: "Office" },
                    //     { title: "Extn." },
                    //     { title: "Start date" },
                    //     { title: "Salary" }
                    // ]
                } );
            }
            let msj = 'Productos actualizados: ' + data.content.updateCount
                + '<br> Productos no registrados: ' + data.content.noUpdateCount;
            $('#msjUpdateProducts').html(msj);
            btnAction.removeClass('disabled').find('i').hide().removeClass('fa-spin');
            // $('#customModal').modal();
            return false;

        },
        error: function (jqXHR, textStatus, errorThrown) {
            // showAlert("Ha ocurrido un error, vuelva a intentarlo", "error");
            console.log(jqXHR);
            console.log(textStatus);
            $('#msjUpdateProducts').text('Ha ocurrido un error, intentar de nuevo.');
            // // $('#customModal').modal();
            btnAction.removeClass('disabled').find('i').hide().removeClass('fa-spin');

            return false;
        }
    });
}

function generateReport() {
    // let month = $('#filterByMonth').val();
    // let year = $('#filterByYear').val();
    // let trimester = $('#filterByTrimester').val();
    // let market = $('#filterByMarket').val();
    //
    // // let dataInJson =  JSON.stringify(dataInArray);
    // window.location.href = '../src/Controllers/ExportReportsByFilter.php?'
    //     + 'seller=' + seller
    //     + '&month=' + month
    //     + '&year=' + year
    //     + '&trimester=' + trimester
    //     + '&market=' + market
    // ;
    //
    // return false;


    let dataInJson =  JSON.stringify(dataInArray);
    // console.log(dataInJson);
    $.ajax({
        url: '../src/Controllers/ExportDataFiltred.php?seller=' + seller,
        method: 'POST',
        dataType: "json",
        data: {'dataInJson' : dataInJson},
        success: function (data) {
            console.log(data);
            if(data.code === '200'){
                window.location.href = data.pathDownload;
            }else{
                alert(data.error);
            }

        },
        error: function (jqXHR, textStatus, errorThrown) {
            alert("Ha ocurrido un error, vuelva a intentarlo");
            console.log(jqXHR);
            console.log(textStatus);
            // $('#msjUpdateProducts').text('Ha ocurrido un error, intentar de nuevo.');
            return false;
        }
    });

}

function calculateSalesSpeed() {
    let btnAction = $('#btnImportReportCompany');
    btnAction.addClass('disabled').find('i').show().addClass('fa-spin');
    let form = $('#formImportReportCompany');
    let formData = new FormData(form[0]);
    console.log(formData);
    $.ajax({
        url: '../src/Controllers/ImportReportCompany.php?seller=' + seller,
        method: 'POST',
        dataType: "json",
        data: formData,
        contentType: false,
        processData: false,
        // cache:false,
        // enctype: 'multipart/form-data',
        success: function (data) {
            console.log(data);
            if(data.state == 1){
                let dataSet = data.content;
                console.log(dataSet);
                $('#tbSimpleProducts').DataTable( {
                    data: dataSet,
                    iDisplayLength: 50,
                    columns: [
                        { title: "SKU Combo" },
                        { title: "SKU Simple" },
                        { title: "Uds Vendidas" },
                    ]
                } );
            }
            $('#msjSaleSpeed').text(data.message);
            btnAction.removeClass('disabled').find('i').hide().removeClass('fa-spin');
            // $('#customModal').modal();
            return false;

        },
        error: function (jqXHR, textStatus, errorThrown) {
            // showAlert("Ha ocurrido un error, vuelva a intentarlo", "error");
            console.log(textStatus);
            $('#msjSaleSpeed').text('Ha ocurrido un error, intentar de nuevo.');
            // // $('#customModal').modal();
            btnAction.removeClass('disabled').find('i').hide().removeClass('fa-spin');

            return false;
        }
    });

}

/* Sales speed by Reports */
$('#filterOptionSaleSpeed').change(function () {
    console.log($(this).val());
    let option = $(this).val();
    $('.filter-option').addClass('d-none');
    $('#' + option).removeClass('d-none');
    $('#yearSaleSpeed').removeClass('d-none');
});

function searchProductsByReport() {
    let btnAction = $('#btnSearchProductsByReport');
    btnAction.addClass('disabled').find('i').show().addClass('fa-spinner fa-spin');
    let option = $('#filterOptionSaleSpeed').val();
    let month = '';
    let year = '';
    let trimester = '';
    let dataFilter = null;
    let productType = $('#filterProductSaleSpeed').val();
    // let market = $('#filterByMarket').val();
    if (option === 'monthSaleSpeed'){
        month = $('#filterByMonthSaleSpeed').val();
        year = $('#filterByYearSaleSpeed').val();
        dataFilter = {'option': option, 'month' : month, 'year': year, 'product-type': productType};
    }else if(option === 'trimesterSaleSpeed'){
        trimester = $('#filterByTrimesterSaleSpeed').val();
        year = $('#filterByYearSaleSpeed').val();
        dataFilter = {'option': option, 'trimester' : trimester, 'year': year, 'product-type': productType};
    }
    console.log(dataFilter);

    let formData = JSON.stringify(dataFilter);
    $.ajax({
        url: '../src/Controllers/SaleSpeedByReports.php?seller=' + seller,
        method: 'POST',
        dataType: "json",
        data: dataFilter,
        // contentType: false,
        // processData: false,
        success: function (data) {
            console.log(data);
            if(data.state == 1){
                let dataSet = data.content;
                console.log(dataSet);
                if ( ! $.fn.DataTable.isDataTable( '#tbProductsByReports' ) ) {

                    $('#tbProductsByReports').DataTable( {
                        data: dataSet,
                        iDisplayLength: 50,
                        columns: [
                            { title: "SKU" },
                            { title: "Uds Vendidas" },
                        ]
                    } );
                }else{
                    let table = $('#tbProductsByReports').DataTable();
                    table.clear().draw();
                    table.rows.add(dataSet).draw();
                }

            }
            $('#msjSaleSpeed').text(data.message);
            btnAction.removeClass('disabled').find('i').hide().removeClass('fa-spinner fa-spin');
            return false;
        },
        error: function (jqXHR, textStatus, errorThrown) {
            console.log(textStatus);
            $('#msjSaleSpeed').text('Ha ocurrido un error, intentar de nuevo.');
            btnAction.removeClass('disabled').find('i').hide().removeClass('fa-spinner fa-spin');
            return false;
        }
    });
}

/* *************************************************************** */