<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Solicitar recogida de pedido</title>

    <!-- Custom fonts for this template -->
    <link href="../resources/libs/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
          rel="stylesheet">


    <!-- Custom styles for this page -->
    <link href="resources/libs/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">
    <!-- Custom styles for this template -->
    <!--    <link href="../resources/css/sb-admin-2.min.css" rel="stylesheet">-->
    <link href="resources/css/sb-admin-2.css" rel="stylesheet">


</head>

<body id="page-top" class="sidebar-toggled">

<div class="container">

        <div class="card o-hidden border-0 shadow-lg my-5">
            <div class="card-body p-0">
                <!-- Nested Row within Card Body -->
                <div class="row justify-content-md-center ">
                    <!-- <div class="col-lg-5 d-none d-lg-block bg-register-image"></div> -->
                    <div class="col-lg-7 ">
                        <div class="p-5">
                            <div class="text-center">
                                <h1 class="h4 text-gray-900 mb-4">Solicitar recogida</h1>
                            </div>
                            <form class="user" id="formScheduleOrder" method="POST" enctype="multipart/form-data">
                                <div class="form-group row">
                                    <div class="col-sm-12 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="exampleFirstName" name="order-id" placeholder="Número de pedido">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-sm-12 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="exampleFirstName" name="user-name" placeholder="Nombre(s)">
                                    </div>
                                    <div class="col-sm-12 mt-1">
                                        <input type="text" class="form-control form-control-user" id="exampleLastName" name="user-lastname"placeholder="Apellido(s)">
                                    </div>
                                    <div class="col-sm-7 mt-1">
                                        <input type="email" class="form-control form-control-user" name="user-email" id="exampleInputEmail" placeholder="Email Address">
                                    </div>
                                    <div class="col-sm-5 mt-1">
                                        <input type="text" class="form-control form-control-user" id="exampleLastName" name="user-phone" placeholder="Teléfono">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-sm-8 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="exampleFirstName" name="user-address" placeholder="Dirección de recogida">
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control form-control-user" id="exampleLastName" name="user-cp" placeholder="Código postal">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-sm-12">
                                    <label>Recogida</label>
                                    </div>
                                    <div class="col-sm-6">
                                        <input type="date" class="form-control form-control-user pt-2 pb-2" id="exampleLastName" min="2020-01-01" name="user-date" placeholder="Fecha">
                                    </div>
                                    <div class="col-sm-6 mt-1">
                                    
                                    <select class="form-control form-control-user pt-2 pb-2" name="user-schedule">
                                        <option selected="selected">Horario</option>
                                        <option value="10:00|13:00">10 am a 01 pm</option>
                                        <option value="11:00|14:00">11 am a 02 pm</option>
                                        <option value="12:00|15:00">12 pm a 03 pm</option>
                                        <option value="13:00|16:00">01 pm a 04 pm</option>
                                        <option value="14:00|17:00">02 pm a 05 pm</option>
                                        <option value="15:00|18:00">03 pm a 06 pm</option>
                                    </select>
                                </div>
                                </div>
                                <hr>
                                
                                <a class="btn btn-primary btn-user btn-block text-white" onclick="scheduleOrder()">
                                    Enviar
                                </a>
                                <div class="form-group row">
                                    <div class="col-sm-12 pt-2 text-center">
                                    <label id="responseText"></label>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

<!-- Page Wrapper -->
<div id="wrapper">

   

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

       

        <!-- Footer -->
        <footer class="sticky-footer bg-white">
            <div class="container my-auto">
                <div class="copyright text-center my-auto">
                    <span>Copyright &copy; Spainbox 2020</span>
                </div>
            </div>
        </footer>
        <!-- End of Footer -->

    </div>
    <!-- End of Content Wrapper -->

</div>
<!-- End of Page Wrapper -->

<!-- Scroll to Top Button-->
<a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
</a>



<!-- Bootstrap core JavaScript-->
<script src="resources/libs/jquery/jquery.min.js"></script>
<script src="resources/libs/bootstrap/js/bootstrap.bundle.min.js"></script>

<!-- Core plugin JavaScript-->
<script src="resources/libs/jquery-easing/jquery.easing.min.js"></script>

<!-- Custom scripts for all pages-->
<script src="resources/js/sb-admin-2.min.js"></script>

<!-- Page level plugins -->
<script src="resources/libs/datatables/jquery.dataTables.min.js"></script>
<script src="resources/libs/datatables/dataTables.bootstrap4.min.js"></script>

<!-- Page level custom scripts -->
<script src="resources/js/app/request.js"></script>

</body>

</html>
