<?php
/**
 * User: Samuel Sanchez
 * Date: 30/11/2020
 * Time: 08:58 AM
 */
if (isset($_POST['order-id']) && isset($_POST['user-name']) && isset($_POST['user-lastname']) && isset($_POST['user-email']) && isset($_POST['user-phone']) && isset($_POST['user-address']) && isset($_POST['user-cp']) && isset($_POST['user-schedule']) && isset($_POST['user-date'])) {

    $token = obtainToken()['token'];
    $orderId = $_POST['order-id'];
    $hourRange = explode('|', $_POST['user-schedule']);
    $fromHour = $hourRange[0];
    $toHour = $hourRange[1];
    $collectedDate = $_POST['user-date'];
    $collectedDate = substr($collectedDate, 8) . '-' . substr($collectedDate, 5, 2) . '-' . substr($collectedDate, 0, 4);
    $parameters = [
    				'order-id'=>$orderId,
    				'user-name'=>$_POST['user-name'], 
    				'user-lastname'=>$_POST['user-lastname'],
    				'user-email'=>$_POST['user-email'],
    				'user-phone'=>$_POST['user-phone'],
    				'user-address'=>$_POST['user-address'],
    				'user-cp'=>$_POST['user-cp'],
    				'from-hour'=>$fromHour,
    				'to-hour'=>$toHour,
    				'collected-date'=> $collectedDate
    			];
    $result = programScheduleOrder($token, $parameters);
    
    echo json_encode($result);
} else {
    echo json_encode(['state' => -1, 'message' => 'Debe completar los campos']);
}


function createRequest($url, $data = null, $post = false, $isLogin = false, $token = null)
    {

        $paramsFormat = '';
        if ($post) {
            $ch = curl_init($url);
//            $postFields = http_build_query($data);
            //$paramsFormat = json_encode($data);
            //var_dump($paramsFormat);
            // curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
            

        } else {
            $paramsFormat = http_build_query($data);
            //var_dump($paramsFormat);

            $ch = curl_init($url . '?' . $paramsFormat);

            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');

        }
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        if($isLogin){
        	$headers = getHeadersConfig($token);
        	// $headers[] = 'Content-Length: ' . strlen($paramsFormat);
        	curl_setopt($ch, CURLOPT_HTTPHEADER, $headers );
        }
        
        $response = curl_exec($ch);
        $info = curl_getinfo($ch);
        //var_dump($info);
        //var_dump($response);
        $err = curl_error($ch);
        curl_close($ch);
        if ($err) {
            return "cURL Error #:" . $err;
        } else {
            //var_dump($response);

            $response = json_decode($response, true);
            return $response;
        }
    }

function obtainToken(){
	$parameters = array('_username' => 'seller-demo-1','_password' => 'spbx2020');
	return createRequest('http://dev-apis.spainbox.com/shipeu/public/api/security/login_check', $parameters, true, false);
}

function programScheduleOrder($token, $parameters){
	return createRequest('http://dev-apis.spainbox.com/shipeu/public/api/v1/order-shipments/order-return-by-customer', $parameters, false, true, $token);
}
    
function getHeadersConfig($token)
    {
        $headers = [
            "Authorization: Bearer " . $token
        ];
        return $headers;
    }