// Call the dataTables jQuery plugin
$(document).ready(function() {
  $('#dataTable').DataTable( {
    serverSide: true,
    ajax: {
      url: '/api/data',
      dataFilter: function(data){
        var json = jQuery.parseJSON( data );
        json.recordsTotal = json.total;
        json.recordsFiltered = json.total;
        json.data = json.list;

        return JSON.stringify( json ); // return JSON string
      }
    }
  } );
});
